# 1048576/image.d/java

```dockerfile
ARG BUILD_ARG_APP_VERSION="dev"

ARG BUILD_ARG_JAVA_IMAGE_REGISTRY=""
ARG BUILD_ARG_JAVA_IMAGE_TAG=""

FROM ${BUILD_ARG_JAVA_IMAGE_REGISTRY}/maven:${BUILD_ARG_JAVA_IMAGE_TAG} as build
# ARG JAVA_TOOL_OPTIONS
WORKDIR /build/
COPY ./server/pom.xml ./pom.xml
RUN mvn dependency:go-offline
COPY ./server/ ./
RUN mvn package

FROM ${BUILD_ARG_JAVA_IMAGE_REGISTRY}/openjdk:${BUILD_ARG_JAVA_IMAGE_TAG} as server
WORKDIR /app/
ARG BUILD_ARG_APP_GROUP_ID=65534
ARG BUILD_ARG_APP_USER_ID=65534
ARG BUILD_ARG_APP_VERSION
ENV APP_VERSION=${BUILD_ARG_APP_VERSION}
# ENV JAVA_PROXY_OPTIONS=""
# ENV JAVA_KEYSTORE_OPTIONS=""
COPY ./images/server/rootfs/ /
COPY --from=build /build/target/server.jar ./serverjar
CMD ["-jar", "/app/server.jar"]
USER ${BUILD_ARG_APP_GROUP_ID}:${BUILD_ARG_APP_USER_ID}
```
